KDE 4.7 PyKDE API Reference

- KDE's Python API

# KAuthorized Namespace Reference

`from PyKDE4.kdecore.KAuthorized import *`

## Detailed Description

Extracted from kapplication (3.x). Kiosk authorization framework

## Functions
| allowUrlAction (QString action, KUrl baseUrl, KUrl _destUrl)
bool | authorize (QString genericAction)
bool | authorizeControlModule (QString menuId)
QStringList | authorizeControlModules (QStringList menuIds)
bool | authorizeKAction (QString action)
bool | authorizeUrlAction (QString action, KUrl baseUrl, KUrl destUrl)

## Function Documentation

allowUrlAction | ( | QString | action,
|  | KUrl | baseUrl,
|  | KUrl | _destUrl
| ) |  |  |

Allow a certain URL action. This can be useful if your application needs to ensure access to an application specific directory that may otherwise be subject to KIOSK restrictions.

Parameters:

  | action | The name of the action.
  | baseUrl | The url where the action originates from
  | _destUrl | The object of the action

bool authorize | ( | QString | genericAction
| ) |  |  |

Returns whether a certain action is authorized

Parameters:

  | genericAction | The name of a generic action

Returns:
  true if the action is authorized

To do: what are the generic actions?

bool authorizeControlModule | ( | QString | menuId
| ) |  |  |

Returns whether access to a certain control module is authorized.

Parameters:

  | menuId | identifying the control module, e.g. kde-mouse.desktop

Returns:
  true if access to the module is authorized, false otherwise.

QStringList authorizeControlModules | ( | QStringList | menuIds
| ) |  |  |

Returns which control modules from a given list are authorized for access.

Parameters:

  | menuIds | list of menu-ids of control modules; an example of a menu-id is kde-mouse.desktop.

Returns:
  Those control modules for which access has been authorized.

bool authorizeKAction | ( | QString | action
| ) |  |  |

Returns whether a certain KAction is authorized.

Parameters:

  | action | The name of a KAction action. The name is prepended with "action/" before being passed to authorize()

Returns:
  true if the KAction is authorized

bool authorizeUrlAction | ( | QString | action,
|  | KUrl | baseUrl,
|  | KUrl | destUrl
| ) |  |  |

Returns whether a certain URL related action is authorized.

Parameters:

  | action | The name of the action. Known actions are - list (may be listed (e.g. in file selection dialog)), - link (may be linked to), - open (may open) and - redirect (may be redirected to)
  | baseUrl | The url where the action originates from
  | destUrl | The object of the action

Returns:
  true when the action is authorized, false otherwise.